# $Revision: 1.39 $, $Date: 2006/01/20 20:34:53 $
#
# Warning: Some old products can cause problems with archetypes - e.g. PortalTransport
#
%define		zope_subname	archetypes
Summary:	Framework designed to facilitate the building of applications for Plone and CMF
Summary(pl):	rodowsko uatwiajce budowanie aplikacji dla Plone i CMF
Name:		Zope-%{zope_subname}
Version:	1.3.7
#%%define		part_name 1-3-7
#%%define		sub_ver rc3
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://plone.org/products/archetypes/releases/%{version}-final/archetypes-%{version}-final-bundle.tar.gz
# Source0-md5:	cb169796a54cfe2c063a037604701337
URL:		http://plone.org/products/archetypes/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	Zope
Requires:	Zope-CMFPlone
Requires:	Zope-CMF
Requires:	rtf-converter
Requires(post,postun):	/usr/sbin/installzopeproduct
Obsoletes:	Zope-PortalTransforms
Conflicts:	CMF
Conflicts:	Plone
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Archetypes (formerly known as CMFTypes) is a framework designed 
to facilitate the building of applications for Plone and CMF. 
Its main purpose is to provide a common method for building 
content objects, based on schema definitions. 

%description -l pl
Archetypes (poprzednio znany jako CMFTypes) jest rodowiskiem
uatwiajcym budowanie aplikacji dla Plone i CMF.
Gwnym zadaniem jest dostarczenie podstawowych metod 
do zbudowania obiektw typu content opartych na zdefiniowanych
schematach. 

%prep
%setup -q -c
find . -type d -name debian | xargs rm -rf
find . -type f -name .cvsignore | xargs rm -rf

%build
mkdir docs docs/{Archetypes,MimetypesRegistry,PortalTransforms,generator,validation}
install -d docs/{Archetypes,MimetypesRegistry,PortalTransforms,generator,validation}
mv -f Archetypes/{AUTHORS,ChangeLog,HISTORY.txt,README.txt,TODO.txt} docs/Archetypes
mv -f MimetypesRegistry/{ChangeLog,HISTORY.txt,README} docs/MimetypesRegistry
mv -f PortalTransforms/{ChangeLog,DEPENDS,HISTORY.txt,README,SUGGESTS,TODO} docs/PortalTransforms
rm -rf PortalTransforms/{MANIFEST.in,Makefile}
mv -f generator/{ChangeLog,README,HISTORY.txt} docs/generator
rm -rf {generator,validation}/MANIFEST.in
mv -f validation/{ChangeLog,README,HISTORY.txt} docs/validation

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -af {Archetypes,MimetypesRegistry,PortalTransforms,generator,validation} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
for p in Archetypes MimetypesRegistry generator validation PortalTransforms; do
	/usr/sbin/installzopeproduct %{_datadir}/%{name}/$p
done
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	for p in Archetypes MimetypesRegistry generator validation PortalTransforms; do
		/usr/sbin/installzopeproduct -d $p
	done
fi
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%files
%defattr(644,root,root,755)
%doc docs/* 
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-archetypes.spec,v $
Revision 1.39  2006/01/20 20:34:53  ciesiel
- upgraded to version 1.3.7

Revision 1.38  2006/01/08 21:28:14  ciesiel
- upgraded to version 1.3.6

Revision 1.37  2005/10/14 16:33:35  ciesiel
- upgraded to version 1.3.5

Revision 1.36  2005/09/01 20:08:44  ciesiel
- upgraded to version 1.3.4

Revision 1.35  2005/04/25 19:48:21  ciesiel
- upgraded to version 1.3.3

Revision 1.34  2005/03/07 19:23:15  ciesiel
- upgrades to version 1.3.2

Revision 1.33  2005/01/13 06:39:56  ankry
- spaces -> tabs

Revision 1.32  2005/01/12 21:11:05  ciesiel
- added BR: python

Revision 1.31  2004/12/27 14:12:33  saq
- release 2 for rebuild with python 2.4

Revision 1.30  2004/11/17 05:30:09  ciesiel
- upgrade to version 1.3.1

Revision 1.29  2004/10/30 11:59:12  paladine
- spaces->tabs

Revision 1.28  2004/10/16 15:08:59  paladine
- spelling fix

Revision 1.27  2004/10/08 10:10:33  qboosh
- cleanup

Revision 1.26  2004/10/05 13:58:22  ciesiel
- merged from DEVEL branch
- upgrade to version 1.3.0 final
- changed warning

Revision 1.24.2.5  2004/10/04 19:47:04  ciesiel
- License file must be in working catalog
- added req
- still not working :)

Revision 1.24.2.4  2004/10/02 06:49:30  ciesiel
- added missing folder

Revision 1.24.2.3  2004/10/01 14:28:49  ciesiel
- upgraded to version 1.3.0 final (still not working :)

Revision 1.24.2.2  2004/09/24 21:02:50  ciesiel
- obsolete Zope-PortalTransforms (in atchetype included)
- rel. 2

Revision 1.24.2.1  2004/09/24 19:15:39  ciesiel
- upgraded to version 1.3.0 rc3
- added warning

Revision 1.24  2004/08/16 17:45:09  ciesiel
- upgraded to version 1.2.5 rc5

Revision 1.23  2004/03/15 10:43:24  ciesiel
- upgraded to version 1.2.5rc4 (needed by plone 2.0)

Revision 1.22  2004/03/04 19:54:59  ciesiel
- upgraded to version 1.2.4

Revision 1.21  2003/12/28 15:12:54  ciesiel
- upgraded to 1.2.3_final version

Revision 1.20  2003/12/15 23:20:24  ciesiel
- prevently download source (another file at the same version)

Revision 1.19  2003/12/14 15:40:27  ciesiel
- upgraded to 1.2.2_final version

Revision 1.18  2003/12/10 15:59:33  ciesiel
- upgraded to 1.2.1 final version

Revision 1.17  2003/12/10 09:09:20  ciesiel
- removed TODO/warning message; done

Revision 1.16  2003/12/05 17:13:10  qboosh
- /usr/share doesn't belong here

Revision 1.15  2003/12/05 16:12:44  ciesiel
- some cleanning

Revision 1.14  2003/12/05 15:18:20  ciesiel
- added req.

Revision 1.13  2003/11/22 12:44:42  ciesiel
- reverting changes. Archetypes not installed propertly with validation and
  generator as library of python

Revision 1.12  2003/11/22 12:12:51  ciesiel
- installed generator and validation as library of python

Revision 1.11  2003/11/21 18:55:51  ciesiel
- typo ;) - thx qboosh (BTW - when qboosh use IRC?) :)

Revision 1.10  2003/11/21 17:06:55  ciesiel
- changed %Summary and %description

Revision 1.9  2003/11/21 12:33:55  ciesiel
- TODO

Revision 1.8  2003/11/18 13:14:08  ciesiel
- upgraded to final 1.2.0 version

Revision 1.7  2003/11/17 13:52:39  ciesiel
- install into new dir (datadir)
- installzopeproduct
- cleaning
- added conflicts to renamed packages

Revision 1.6  2003/10/07 10:15:05  qboosh
- fixed License, cleanups/simplifications

Revision 1.5  2003/09/27 17:10:32  ciesiel
- release 2

Revision 1.4  2003/09/27 17:09:12  ciesiel
- .py needed by packages

Revision 1.3  2003/09/04 14:16:16  qboosh
- cleanups

Revision 1.2  2003/09/03 22:38:39  ciesiel
- typo

Revision 1.1  2003/09/03 22:35:32  ciesiel
- initial release
- not tested
